# -------------------------------------------------------------------
# Build Properties
# -------------------------------------------------------------------
maven.repo.remote=\
http://www.ibiblio.org/maven,\
http://dist.codehaus.org,\
http://cvs.apache.org/repository

maven.compile.source=1.4
maven.compile.target=1.4
maven.compile.deprecation=true
maven.compile.debug=true
maven.compile.optimize=true

maven.jar.mainclass = org.codehaus.activemq.broker.impl.Main

# -------------------------------------------------------------------
# Testing Properties
# -------------------------------------------------------------------
maven.test.source=1.4
maven.test.target=1.4
maven.junit.sysproperties = activemq.store.dir
maven.junit.fork = true

activemq.store.dir = target/MessageStore
activemq.persistenceAdapter = org.codehaus.activemq.store.jdbm.JdbmPersistenceAdapter

# -------------------------------------------------------------------
# Javadoc Properties
# -------------------------------------------------------------------
maven.javadoc.source=1.4
maven.javadoc.links=\
http://java.sun.com/j2se/1.4.1/docs/api/,\
http://java.sun.com/j2ee/1.4/docs/api/,\
http://gee.cs.oswego.edu/dl/classes/EDU/oswego/cs/dl/util/concurrent,\
http://jakarta.apache.org/commons/logging/apidocs

# -------------------------------------------------------------------
# Checkstyle Properties
# -------------------------------------------------------------------
maven.checkstyle.properties = ${basedir}/checkstyle.xml
maven.checkstyle.header.file = ${basedir}/LICENSE.txt

# -------------------------------------------------------------------
# codehaus theme
# -------------------------------------------------------------------
maven.xdoc.theme.url=http://codehaus.org/codehaus-style.css

maven.artifact.legacy=true
maven.repo.central=dist.codehaus.org
maven.repo.central.directory=/dist
maven.remote.group=activemq

# -------------------------------------------------------------------
# dependency versions
# -------------------------------------------------------------------
maven.jar.override=on

<!-- used by all modules -->
maven.jar.geronimo-spec-j2ee=1.4-rc3
maven.jar.concurrent=1.3.4
maven.jar.commons-logging=1.0.3
maven.jar.log4j=1.2.8
maven.jar.junit=3.8.1
maven.jar.jmock=1.0.1
maven.jar.jmock-cglib=1.0.1

<!-- used by core module -->
maven.jar.commons-beanutils=1.6.1
maven.jar.javacc=2.1
maven.jar.activecluster=1.0-SNAPSHOT
maven.jar.drools-core=2.0-beta-13

<!-- used by axis module -->
maven.jar.axis=1.2-RC1

<!-- used by gbean module -->
maven.jar.geronimo-kernel=1.0-SNAPSHOT
maven.jar.geronimo-system=1.0-SNAPSHOT
maven.jar.xmlbeans=1.0-DEV

<!-- used by spring module -->
maven.jar.spring=1.1

<!-- used by store-bdb module -->
maven.jar.berkeleydb=1.5.1

<!-- used by store-bdbn module -->
maven.jar.berkeleydb-native=4.2

<!-- used by store-howl module -->
maven.jar.howl-logger=0.1.8-SNAPSHOT

<!-- used by store-jdbc module -->
<!-- Connection Pool dependencies -->
maven.jar.commons-dbcp=1.2
maven.jar.commons-pool=1.2
<!-- Axion dependencies -->
maven.jar.axion=1.0-M3-dev
maven.jar.commons-collections=2.1
maven.jar.commons-primitives=1.0
maven.jar.regexp=1.3
<!-- HSQL dependencies -->
maven.jar.hsqldb=1.7.2.2
<!-- Derby dependencies -->
maven.jar.derby=47170
maven.jar.derbynet=47170

<!-- used by store-jdbm module -->
maven.jar.jdbm=0.20-dev

<!-- used by transport-ember module -->
maven.jar.emberio=0.3-alpha
maven.jar.emberio=0.3-alpha

<!-- used by transport-gnet module -->
maven.jar.geronimo-remoting=1.0-SNAPSHOT
maven.jar.geronimo-network=1.0-SNAPSHOT
maven.jar.geronimo-core=1.0-SNAPSHOT

<!-- used by transport-http module -->
maven.jar.commons-httpclient=2.0.1
maven.jar.org.mortbay.jetty=5.1-SNAPSHOT
maven.jar.tomcat=5.0.28
maven.jar.jasper-compiler=5.0.28
maven.jar.jasper-runtime=5.0.28

<!-- used by transport-jgroups module -->
maven.jar.jgroups=2.2.5

<!-- used by transport-jrms module -->
maven.jar.jrms=1.1

<!-- used by transport-jxta module -->
maven.jar.p2psockets-core=1.1.2
maven.jar.jxta=2.0

<!-- used by transport-xstream module -->
maven.jar.xstream=1.0.2
maven.jar.xmlpull=1.1.3.4d_b4_min

<!-- used by transport-zeroconf module -->
maven.jar.jmdns=0.2

<!-- used by itest-client module -->
maven.jar.geronimo-deployment-plugin=1.0-SNAPSHOT
maven.jar.openejb-core=2.0-SNAPSHOT
maven.jar.geronimo-security=1.0-SNAPSHOT
maven.jar.cglib=2.0
maven.jar.cglib-full=2.0
